function Gqf(){}
function Fsf(){}
function bsf(a){this.a=a}
function Rrf(a){this.a=a}
function $rf(a,b){Eqf(a.a,b)}
function Zrf(a,b){Eqf(a.c,b)}
function Eqf(a,b){bff(a.a,b)}
function _rf(){QZd.call(this)}
function Yrf(a){dff(a.a.a);dff(a.c.a)}
function Osf(a){var b;if(!a.g){b=new _rf;a.g=b}return a.g}
function Lrf(a){var b;Yrf(a.A);b=lBh(a.a,Zef(),sM(v1c,Qxj,1,[]));f8i(X7i(b,OGj),N_j);n8i(X7i(b,O_j),true);Unj(new lnj(b),new Rrf(a))}
function Mrf(a,b,d,e,g){v9d.call(this,a,b,d,e);this.c=g;this.a=(new x0i($Xb,(wBh(),rBh).Nc($Xb),vBh.Nc($Xb))).a;this.b=new M0i($Xb)}
function Esf(a){var b;b=sM(R1c,Ixj,195,[new _ff(sYj,'Application Failures'),new _ff(uYj,'Resource Failures')]);BYd();a.a=kff(new lff('Failure Origin',i0j),b);return cff(a.a)}
function Nsf(a){var b;if(!a.f){b=new Mrf(GFd(zce(a.a)),Osf(a),Msf(a),(woj(fee(a.a)),zpj(hee(a.a))),(y1i(dee(a.a)),AMg(tde(a.a))));SFd((Ace(a.a),b),PGd(Ace(a.a)));a.f=b}return a.f}
function Fqf(a){var b,d;d=new _ff(lYj,'Number of Transactions');b=sM(R1c,Ixj,195,[(d.c=true,d),Nff(new _ff(nYj,'Commited'),d),Nff(new _ff(pYj,'Aborted'),d),Nff(new _ff(jYj,'Timed Out'),d)]);BYd();a.a=kff(new lff('Success Ratio',i0j),b);return cff(a.a)}
function Qrf(a,b){var d,e;e=Onj(b);if(e.b.kN(jHj)&&X7i(e,jHj).b.b!=(pmj(),omj)&&!GPd(X7i(e,jHj).b.cf(),kHj)){cd('Failed to load TX metrics: '+Z7i(e))}else{d=C0i(a.a.b,X7i(e,XGj));$rf(a.a.A,new Vef(sM(z0c,Hxj,-1,[d.QF(),d.KF(),d.IF(),d.PF()])));Zrf(a.a.A,new Vef(sM(z0c,Hxj,-1,[d.JF(),d.OF()])))}}
E3c(2701,1,{},Gqf);_.a=null;E3c(2723,1407,Pyj,Mrf);_.Ui=function(){this.A.b=this;u9d(this,tzh(cee((BYd(),zYd).a)))};_.Zi=function(){Lrf(this)};_.bj=function(){Hvf(this.c,this)};E3c(2725,1661,{},Rrf);_.fh=function(a){Qrf(this,a)};E3c(2728,1214,wzj,_rf);_.Ch=function(){var a,b;b=new Dnd(n0j);Iz((cgd(),b.gb),o0j);b.gb.style[GCj]=(RC(),PCj);b.gb.style[LCj]=-80+(ND(),qBj);b.gb.style[p0j]=S1j;jB(b.gb.style,HB());b.gb.style[KCj]=T1j;Dr(b,(BYd(),'refreshBtnTXMetricViewImp'));b.uh(new bsf(this));this.a=new Gqf;this.c=new Fsf;a=ECe(ECe(ECe(HCe(ICe(LCe(new NCe,p5j),t5j),'These metrics reflect the current state of the transaction subsystem. If no metrics are shown, you might need to enable statistics for the transaction subsystem.'),mAj,b),'Executions',Fqf(this.a)),'Rollbacks',Esf(this.c));return FCe(a)};E3c(2729,1,byj,bsf);_.me=function(a){Lrf(this.a.b)};E3c(2736,1,{},Fsf);_.a=null;E3c(2741,1,vzj);_.ud=function(){oHd(this.b,Nsf(this.a.a))};var Avb=iOd(2723),xvb=iOd(2725),Cvb=iOd(2728),Bvb=iOd(2729),avb=iOd(2701),Lvb=iOd(2736);hAj(np)(75);